$kind=$args[0]
$sep=$args[1]
$ar=$args[2]
echo "sortix: kind=$kind, sep=$sep, ar=$ar"
#
# sortix =          sortixuni ""       "" <arg>
# sortixkikosq =    sortixuni kikosq   "" <arg>
# sortix-name  =    sortixuni ""       "" <name>
# sortixnarrow =    sortixuni narrow   ""
# sortixnochords =  sortixuni nochords ""
# sortixpocket =    sortixuni pocket   ""
# sortixtab34 =     sortixuni tab34    ""
# sortix-personal = sortixuni <id>     @  <name>
#

  $mtx = New-Object System.Threading.Mutex($false, "SortixMutex")
  $host.ui.RawUI.WindowTitle = "Wait for $source$kind$sep$ar on Mutex $comment"
    If ($mtx.WaitOne(3600000)) {
      $cd=pwd
# Analitic index sort 
#
# sorting with own collating sequence
      cmd /C "awk -f corr.awk $cd\SP$kind$sep$ar.ian|awk -f sort.awk > $cd\SP$kind$sep$ar.ias"

# Alphabetic index sort
      cmd /C "awk -f sort.awk $cd\SP$kind$sep$ar.ial > $cd\SP$kind$sep$ar.ils"

      [void]$mtx.ReleaseMutex()
    } else {
      echo "Sortix przeterminowany"
      pause
    }
  $mtx.Dispose()
