$alpha=$args[0]
$sleeptime=25
$normalwinstyle=[Environment]::GetEnvironmentVariable('normalwinstyle')
if($normalwinstyle -and $normalwinstyle -eq 1){$winstyle="Normal"}else{$winstyle="Minimized"}

$host.ui.RawUI.WindowTitle = "scores build for Kocham Cie Panie"
.\compilemu.ps1
echo "Nuty skompilowane"

if ( $alpha -ne "alpha" ) {
 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik A5 i broszury"
 echo "Startujemy trzyprzebiegowa kompilacja Spiewnika A5 i broszur"
 $SPbuild=start -Passthru powershell -WindowStyle $winstyle ".\compile3passuni.ps1 '' '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika A5 i broszur"

 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik A5 i broszury Tonacje"
 echo "Startujemy trzyprzebiegowa kompilacja Spiewnika A5 i broszur Tonacje"
 $SPbuild=start -Passthru powershell -WindowStyle $winstyle ".\compile3passuni.ps1 '-layers' '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika A5 i broszur Tonacje"
}

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik A5 i broszury alpha"
echo "Startujemy trzyprzebiegowa kompilacja Spiewnika A5 i broszur alpha"
$SPalphabuild=start -Passthru powershell -WindowStyle $winstyle ".\compile3passuni.ps1 '-alpha' '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika A5 i broszur alpha"

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik A5 Tonacje"
echo "Startujemy trzyprzebiegowa kompilacja Spiewnika A5 alpha Tonacje"
$SPlayersalphabuild=start -Passthru powershell -WindowStyle $winstyle ".\compile3passuni.ps1 '-layers-alpha' '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika A5 i broszur alpha"

if ( $alpha -ne "alpha" ) {
 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik bez akordow"
 echo "Startujemy trzyprzebiegowa kompilacje Spiewnika bez akordow"
 start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 nochords '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika bez akordow"
}

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik bez akordow -alpha"
echo "Startujemy trzyprzebiegowa kompilacje Spiewnika bez akordow -alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 nochords-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika bez akordow -alpha"

if ( $alpha -ne "alpha" ) {
 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik kieszonkowy"
 echo "Startujemy trzyprzebiegowa kompilacje Spiewnika kieszonkowego"
 start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 pocket '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika kieszonkowego"
}

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik kieszonkowy -alpha"
echo "Startujemy trzyprzebiegowa kompilacje Spiewnika kieszonkowego -alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 pocket-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika kieszonkowego -alpha"

if ( $alpha -ne "alpha" ) {
 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik bindowany"
 echo "Startujemy trzyprzebiegowa kompilacje Spiewnika bindowanego"
 start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 narrow '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika bindowanego"
}

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik bindowany -alpha"
echo "Startujemy trzyprzebiegowa kompilacje Spiewnika bindowanego -alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 narrow-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika bindowanego -alpha"

$host.ui.RawUI.WindowTitle = "compilation of personal versions started"
.\compile-all-personals.ps1

if ( $alpha -ne "alpha" ) {
$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 4:3"
echo "Startujemy kompilacje Spiewnika 4:3"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 tab34 '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika 4:3"
}

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 4:3 -alpha"
echo "Startujemy kompilacje Spiewnika 4:3 -alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 tab34-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika 4:3 -alpha"

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik mono-alpha"
echo "Startujemy kompilacje Spiewnika mono-alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 -mono-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika mono"

if ( $alpha -ne "alpha" ) {
 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik mono"
 echo "Startujemy kompilacje Spiewnika mono"
 start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 -mono '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika mono"
}

if ( $alpha -ne "alpha" ) {
 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 21x20cm"
 echo "Startujemy trzyprzebiegowa kompilacje Spiewnika 21x20cm"
 start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 kikosq '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika 21x20cm (kikosq)"

 $host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 21x20cm Tonacje"
 echo "Startujemy trzyprzebiegowa kompilacje Spiewnika 21x20cm Tonacje"
 start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 kikosq-layers '' ''"
 sleep $sleeptime
 echo "Wystartowano kompilacje Spiewnika 21x20cm (kikosq) Tonacje"
}

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 21x21cm -alpha"
echo "Startujemy trzyprzebiegowa kompilacje Spiewnika 21x21cm -alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 kikosq-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika 21x21cm (kikosq)"

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 21x21cm -alpha!booklet"
echo "Startujemy trzyprzebiegowa kompilacje Spiewnika 21x21cm -alpha!booklet"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 kikosq-alpha!booklet '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika 21x21cm (kikosq!booklet)"

$host.ui.RawUI.WindowTitle = "three pass compilation of Spiewnik 21x21cm -layers-alpha"
echo "Startujemy trzyprzebiegowa kompilacje Spiewnika 21x21cm -layers-alpha"
start powershell -WindowStyle $winstyle ".\compile3passuni.ps1 kikosq-layers-alpha '' ''"
sleep $sleeptime
echo "Wystartowano kompilacje Spiewnika 21x21cm (kikosq) Tonacje"

echo "Start budowy spiewnikow osadzanych zakonczone, mozna budowac nuty"
$host.ui.RawUI.WindowTitle = "SPs build finished"

exit

if ( $alpha -ne "alpha" ) {
 echo "Czekamy na zakonczenie budowy SP"
 $host.ui.RawUI.WindowTitle = "Wait for SP build end"
# $SPbuild|Wait-process
 while(!(Test-Path "SP.done" -PathType Leaf)){sleep 5}
 echo "SP.pdf zrobiony"
}

echo "Czekamy na zakonczenie budowy SP-alpha"
$host.ui.RawUI.WindowTitle = "Wait for SP-alpha build end"
# $SPalphabuild|Wait-process
while(!(Test-Path "SP-alpha.done" -PathType Leaf)){sleep 5}
echo "SP-alpha.pdf zrobiony"

echo "Czekamy na zakonczenie budowy SP-layers-alpha"
$host.ui.RawUI.WindowTitle = "Wait for SP-layers-alpha build end"
# $SPlayersalphabuild|Wait-process
while(!(Test-Path "SP-layers-alpha.done" -PathType Leaf)){sleep 5}
echo "SP-layers-alpha.pdf zrobiony"

echo "Budowy spiewnikow osadzanych zakonczone, mozna budowac nuty"
$host.ui.RawUI.WindowTitle = "SPs build finished"

exit
