BEGIN{
# ignored
#,	2C
#-	2D
#.	2E
#;	3B
#?	2F
#¿	C2BF
#–	E28093
#—	E28094
#”	E2809D
#„	E2809E
#…	E280A6

# lookup table
#
# nawiasy klamtowe w TeXu nie należą do treści ale mają funkcję organizacyjną;
# zazwyczaj kończącą jakiś fragment tekstu; a ponieważ krótsze powinny być
# wcześniej, nawiasy klamrowe są przed innymi znakami;
# co do nawiasów otwierających nie mam pewności.
#
# nawiasy klamrowe przed spację
c["\x7B"]    =0x20*10+1;#{
c["\x7D"]    =0x20*10+2;#}
#20 - spacja
c["\x20"]    =0x20*10+5
# nieignorowane znaki specjalne
c["\x2A"]    =0x2A*10+5;#*
c["\x2B"]    =0x2B*10+5;#+
#30-39 - 0-9
c["\x30"]    =0x30*10+5;#0
c["\x31"]    =0x31*10+5;#1
c["\x32"]    =0x32*10+5;#2
c["\x33"]    =0x33*10+5;#3
c["\x34"]    =0x34*10+5;#4
c["\x35"]    =0x35*10+5;#5
c["\x36"]    =0x36*10+5;#6
c["\x37"]    =0x37*10+5;#7
c["\x38"]    =0x38*10+5;#8
c["\x39"]    =0x39*10+5;#9
#41-5A - A=Z
c["\x41"]    =0x41*10+5;#A
c["\xC4\x84"]=0x41*10+6;#Ą	C484
c["\xC3\x81"]=0x41*10+7;#Á	C381
c["\x42"]    =0x42*10+5;#B
c["\x43"]    =0x43*10+5;#C
c["\xC4\x86"]=0x43*10+6;#Ć	C486
c["\x44"]    =0x44*10+5;#D
c["\x45"]    =0x45*10+5;#E
c["\xC4\x98"]=0x45*10+6;#Ę	C498
c["\xC3\x88"]=0x45*10+7;#È	C388
c["\x46"]    =0x46*10+5;#F
c["\x47"]    =0x47*10+5;#G
c["\x48"]    =0x48*10+5;#H
c["\x49"]    =0x49*10+5;#I
c["\x4A"]    =0x4A*10+5;#J
c["\x4B"]    =0x4B*10+5;#K
c["\x4C"]    =0x4C*10+5;#L
c["\xC5\x81"]=0x4C*10+6;#Ł	C581
c["\x4D"]    =0x4D*10+5;#M
c["\x4E"]    =0x4E*10+5;#N
c["\xC5\x83"]=0x4E*10+6;#Ń	C583
c["\xC3\x91"]=0x4E*10+7;#Ñ	C391
c["\x4F"]    =0x4F*10+5;#O
c["\xC3\x93"]=0x4F*10+6;#Ó	C393
c["\x50"]    =0x50*10+5;#P
c["\x51"]    =0x51*10+5;#Q
c["\x52"]    =0x52*10+5;#R
c["\x53"]    =0x53*10+5;#S
c["\xC5\x9A"]=0x53*10+6;#Ś	C59A
c["\x54"]    =0x54*10+5;#T
c["\x55"]    =0x55*10+5;#U
c["\xC3\x9A"]=0x55*10+6;#Ú	C39A
c["\xC3\x9C"]=0x55*10+7;#Ü	c39C
c["\x56"]    =0x56*10+5;#V
c["\x57"]    =0x57*10+5;#W
c["\x58"]    =0x58*10+5;#X
c["\x59"]    =0x59*10+5;#Y
c["\x5A"]    =0x5A*10+5;#Z
c["\xC5\xBB"]=0x5A*10+6;#Ż	C5BB
c["\xC5\xB9"]=0x5A*10+7;#Ź	C5B9
#61-7A - a-z
c["\x61"]    =0x41*10+5;#a
c["\xC4\x85"]=0x41*10+6;#ą	C485
c["\xC3\xA1"]=0x41*10+7;#á	C3A1
c["\x62"]    =0x42*10+5;#b
c["\x63"]    =0x43*10+5;#c
c["\xC4\x87"]=0x43*10+6;#ć	C487
c["\x64"]    =0x44*10+5;#d
c["\x65"]    =0x45*10+5;#e
c["\xC4\x99"]=0x45*10+6;#ę	C499
c["\xC3\xA9"]=0x45*10+7;#é	C3A9
c["\x66"]    =0x46*10+5;#f
c["\x67"]    =0x47*10+5;#g
c["\x68"]    =0x48*10+5;#h
c["\x69"]    =0x49*10+5;#i
c["\xC3\xAD"]=0x49*10+7;#í	C3AD
c["\x6A"]    =0x4A*10+5;#j
c["\x6B"]    =0x4B*10+5;#k
c["\x6C"]    =0x4C*10+5;#l
c["\xC5\x82"]=0x4C*10+6;#ł	C582
c["\x6D"]    =0x4D*10+5;#m
c["\x6E"]    =0x4E*10+5;#n
c["\xC5\x84"]=0x4E*10+6;#ń	C584
c["\xC3\xB1"]=0x4E*10+7;#ñ	C3B1
c["\x6F"]    =0x4F*10+5;#o
c["\xC3\xB3"]=0x4F*10+6;#ó	C3B3
c["\x70"]    =0x50*10+5;#p
c["\x71"]    =0x51*10+5;#q
c["\x72"]    =0x52*10+5;#r
c["\x73"]    =0x53*10+5;#s
c["\xC5\x9B"]=0x53*10+6;#ś	C59B
c["\x74"]    =0x54*10+5;#t
c["\x75"]    =0x55*10+5;#u
c["\xC3\xBA"]=0x55*10+6;#ú	C3BA
c["\xC3\xBC"]=0x55*10+7;#ü	C3BC
c["\x76"]    =0x56*10+5;#v
c["\x77"]    =0x57*10+5;#w
c["\x78"]    =0x58*10+5;#x
c["\x79"]    =0x59*10+5;#y
c["\x7A"]    =0x5A*10+5;#z
c["\xC5\xBC"]=0x5A*10+6;#ż	C5BC
c["\xC5\xBA"]=0x5A*10+7;#ź	C5BA

i=1;
}


function my_utf8_compare(i1, v1, i2, v2,  c1, c2, l1, l2, f1, f2, e1, e2, b1, b2, n1, ln1, cn1, n2, ln2, cn2)
{
gsub(/\\[a-zA-Z]+/,"",v1);
gsub(/\\[a-zA-Z]+/,"",v2);
##print "v1="v1
##print "v2="v2
#następne bajty są 80-FF
#C0-DF +1 bajt
#E0-EF +2 bajty
#F0-F7 +3 bajty
#F8-FB +4 bajty
#FC-FD +5 bajtów
# non UTF8 version of AWK
  i1=1;i2=1;f1=0;f2=0;e1=0;e2=0;l1=length(v1);l2=length(v2);
# i1, i2 - lokalne zmienne indeksujące łańcuchy
# v1, v2 - łańcuchy do porównania
# c1, c2 - bieżący znak do porównania z pierwszego i drugiego łańcucha
# l1, l2 - długość pierwszego i drugiego łańcucha
# b1, b2 - długość znaku utf8 w bajtach w pierwszym i drugim łańcuchu
# f1, f2 - flagi logiczne znalezienia znaku w tabeli wyszukiwania
# e1, e2 - flagi logiczne osiągnięcia końca łańcucha
# n1, n2 - wartość liczby wyłowionej ze stringu
# ln1, ln2 - dlugość liczby w znakach
# cn1, cn2 - kolejny znak liczby
 do {
  while(!f1&&!e1){
    c1=substr(v1,i1);
    if(c1<="\x7F"){
      b1=1;
      ln1=0; n1=0;
##print "i1,ln1,l1",i1,ln1,l1
      while((i1+ln1)<=l1){
        cn1=substr(v1,i1+ln1,1);
##print "cn1,i1+ln1",cn1,i1+ln1
        if(cn1!="0"&&cn1*1==0)break;
        n1=n1*10+cn1;ln1++;
##print "n1",n1
      }
    }
    else if(c1<"\xC0")b1=1
    else if(c1<"\xE0")b1=2
    else if(c1<"\xF0")b1=3
    else if(c1<"\xF8")b1=4
    else if(c1<"\xFC")b1=5;
    c1=substr(v1,i1,b1);
    if(c1 in c){
      f1=1
    }else{
      i1+=b1;
      if(i1>l1)e1=1
    }
##print "i1,c1,b1,e1,c[c1],cn1",i1,c1,b1,e1,c[c1],cn1
  }
  while(!f2&&!e2){
    c2=substr(v2,i2);
    n2=c2=="0"||c2*1>0;
    if(c2<="\x7F"){
      b2=1;
      ln2=0; n2=0;
##print "i2,ln2,l2",i2,ln2,l2
      while((i2+ln2)<=l2){
        cn2=substr(v2,i2+ln2,1);
##print "cn2,i2+ln2",cn2,i2+ln2
        if(cn2!="0"&&cn2*1==0)break;
        n2=n2*10+cn2;ln2++;
##print "n2",n2
      }
    }
    else if(c2<"\xC0")b2=1
    else if(c2<"\xE0")b2=2
    else if(c2<"\xF0")b2=3
    else if(c2<"\xF8")b2=4
    else if(c2<"\xFC")b2=5;
    c2=substr(v2,i2,b2);
    if(c2 in c){
      f2=1
    }else{
      i2+=b2;
      if(i2>l2)e2=1
    }
##print "i2,c2,b2,e2,c[c2],cn2",i2,c2,b2,e2,c[c2],cn2
  }
##print i1,i2,c1,c2,b1,b2,e1,e2,c[c1],c[c2]
  if(ln1&&ln2){
    i1+=ln1;
    if(i1>l1)e1=1    
    i2+=ln2;
    if(i2>l2)e2=1
    if(n1<n2)return -1
    else if(n1>n2)return 1;
  }
  if(e1||e2)return 0;
  if(c[c1]<c[c2])return -1
  else if(c[c1]>c[c2])return 1;
  
  f1=0;f2=0
  i1+=b1;
  if(i1>l1)e1=1
  i2+=b2;
  if(i2>l2)e2=1
 }
 while(!e1&&!e2)
}

{ source[i++]=$0
##print i,$0
}

END{
  n = asort(source,dest,"my_utf8_compare")
  for (i = 1; i <= n; i++){
    print dest[i]
  }
}