BEGIN{
  pageid="intro";
  line[pageid]=0;
}
/\\pageid/{
  if(pageid!="intro"){
    for(i=0;i<line[pageid];i++){
      lines[lastpageid][line[lastpageid]++]=lines[pageid][i];
    }
  }
  split($0,a,"}{");
  split(a[1],b,"{");
  split(a[3],c,"}");
  pageid=c[1];
  pgix[pgi++]=pageid;
  if(length(sortkey[pageid])>0){
    busyid=pageid;
    error=1;
    exit 1;
  }else{
    sortkey[pageid]=b[2];
  }
  pageseq[pageid]=a[2];
  if(substr(c[2],1,1)=="["){
    color=c[2];
    gsub("\\[","",color);
    gsub("\\]","",color);
    pagecolor[pageid]=color;
  }
  line[pageid]=0;
  lines[pageid][line[pageid]++]=$0;
}
/\\endpageid/{
  split($0,a,"{");
  split(a[2],b,"}");
  pagesq=b[1];
if(pagesq!=pageseq[pageid])print "Error! inconsistent seq no. ending >>"sortkey[pageid]"<< "pageseq[pageid]"<->"pagesq > "/dev/stderr"
  lines[pageid][line[pageid]++]=$0;
  lastpageid=pageid;
  pageid=0;
  line[pageid]=0;
}
{ if($0!~/\\pageid/&&$0!~/\\endpageid/)lines[pageid][line[pageid]++]=$0;
}
END{
  if(error){
    print "Busy pageid "pageid" is "sortkey[pageid] > "/dev/stderr";
    exit
  }
  for(j=0;j<pgi;j++){
    if(order=="seq"){
      print sprintf("%05.1f",pageseq[pgix[j]])"+"sortkey[pgix[j]]"+"sprintf("%05.1f",pgix[j])"+" > "sortkey.txt";
    } else if(order=="classic"){
      print sprintf("%05.1f",pgix[j])"+"sortkey[pgix[j]]"+"sprintf("%05.1f",pageseq[pgix[j]])"+" > "sortkey.txt";
    } else { 
      print sortkey[pgix[j]]"+"sprintf("%05.1f",pageseq[pgix[j]])"+"sprintf("%05.1f",pgix[j])"+" > "sortkey.txt";
    } 
  }
  system("del sortkey.txs");
#  system("start /wait powershell -ExecutionPolicy Unrestricted -Command \".\\sort.ps1 sortkey\"");
  system("awk -f sort.awk sortkey.txt > sortkey.txs");
  while(getline < "sortkey.txs"){
print > "/dev/stderr"
    split($0,a,"+");
    if(order=="seq"){
      if(length(a[2])>0)npgix[npgi++]=a[3]*1;
    } else if(order=="classic"){
      if(length(a[2])>0)npgix[npgi++]=a[1]*1;
    } else {
      if(length(a[1])>0)npgix[npgi++]=a[3]*1;
    }
  }

#print "Intro:"
  for(i=0;i<line["intro"];i++){
    print lines["intro"][i];
  }
  for(j=0;j<npgi;j++){
#print "Song: "sortkey[npgix[j]]" Seq: "pageseq[npgix[j]]" Id: "npgix[j]" !"
    for(i=0;i<line[npgix[j]];i++){
      print lines[npgix[j]][i]
    }
  }
#print "Outro:"  
  for(i=0;i<line[0];i++){
    print lines[0][i];
  }
}